%define momorel 10
Name: urlview
Version: 0.9
Release: %{momorel}m
License: GPL
Group: Applications/Internet
Source: ftp://ftp.mutt.org/mutt/contrib/%{name}-%{version}.tar.gz
#Patch: urlview-default.patch
Patch: urlview-moz.patch
Requires: slang >= 0.99.38, webclient
BuildPreReq: slang-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: An URL extractor/viewer for use with Mutt.
NoSource: 0

%description
The urlview utility extracts URLs from a given text file, and presents
a menu of URLs for viewing using a user specified command. Urlview can
be used with the Mutt e-mail reader.

%prep
%setup -q
%patch -p1 -b .default

%build
%configure --with-slang
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
%makeinstall
install -m755 url_handler.sh %{buildroot}%{_bindir}/url_handler.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%doc INSTALL README sample.urlview 
%doc urlview.sgml
%{_bindir}/urlview
%{_bindir}/url_handler.sh
%{_mandir}/man1/urlview.*

%changelog
* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9-10m)
- rebuild against slang(utf8 version)
- use %%{?_smp_mflags}

* Sun Apr 14 2003 TAKAHASHI Tamotsu <tamo>
- (0.9-9m)
- BuildPreReq: slang-devel [Momonga-devel.ja:01565]
  Thanks, SIVA!
- use more macros
- apply patch0, which has not been applied actually

* Wed Nov 14 2001 Shingo Akagaki <dora@kondara.org>
- (0.9-8k)
- use mozilla

* Sat Jul 29 2000 NORIKANE Seiichiro <no_ri@kf6.so-net.ne.jp>
- (0.9-1k)
- version up (0.7 -> 0.9)

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (0.7-5).

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Apr 26 1999 Bill Nottingham <notting@redhat.com>
- munge defaults some more

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binary
- fix defaults some

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- initial build
